Desktop Pizazz: Quotations Online Help

Introduction to Quotations

Quotes

Themes

Filtering

Registration

Credits


Introduction to Quotations

The Desktop Pizazz: Quotations module answers the age old question "what is the meaning of life?", along with about another 10,000 other questions. Quotations presents thousands of famous (and not so famous) quotes from famous (and not so famous) people from all walks of life. If you're the type of person who likes those daily calendars filled with wisdom and humor, then this is for you.

Quotations consists of four themes, or graphic styles, that display your daily dosage of proverbs, adages, and anecdotes. Each theme presents these quotes in a particular style, filled with little animated touches that fit right in with the theme itself. A wide variety of options exist for configuring the behavior to your liking.

The Quotes page allows you to specify which quotes to display and how often they are changed. The Themes page allows you to select the various themes as well as the frequency of activity happening on your desktop. And the Filter page allows you to filter out all those words and phrases that you or your family might find objectionable or just downright annoying.

Other Help

Note that this help file does not contain help for using Desktop Pizazz in general. Please consult the "Desktop Pizazz Online Help" file for an overview of Desktop Pizazz and its features. To access "Desktop Pizazz Online Help", either select the "Help" button from the "About" page of the Desktop Pizazz interface, or select the "Desktop Pizazz Help" icon from the program folder where you installed the program.


Quotes

To change quotation settings for Desktop Pizazz : Quotations, click on the "Quotes" tab to display the following page:

From this page you can change the settings that apply to how and when quotes are displayed. These settings are described below.

Change Quotations

  • By Time: Check this box to automatically change quotes based on the time interval you specify. When enabled, you can enter in the number of days, hours, minutes and seconds in the appropriate edit boxes. For example, specifying 1 day means a new quotation will appear every day at the current time. Specifying 5 minutes and 30 seconds means you'll get a new quotation every five and a half minutes.
  • By clicking on quotation: Check this box to enable the changing of quotes by clicking directly on the quote itself as it appears on the desktop.
  • On loading module: Check this box to automatically change quotes whenever this module is loaded.
  • Change Now: Press this button to immediately change the current quote.

Your quotation

You can specify your own personalized quotation to display by entering it in this edit box. Note that after you finish typing in your quote, you must press the "TAB" key or select another control on the page to enable the "Apply" button. To resume the display of supplied quotes, delete the text from this edit box and apply the changes.

Quote Files

This list displays the quote files that can be used to display quotes. As installed, this list contains several categories of quotes that can be displayed. The "Use" column of the list displays which files will actually be used. You can toggle the "Use" value for an item from "Yes" to "No" by clicking on it in the list. Quotations sequentially selects one quote from each file (that is marked "Yes" in the use column) until all quotes have been selected. You can add or delete quote files in the displayed list. To add a quote file, enter the name of the file using either the edit box below the list, or by pressing the "Browse" button to select a file on your computer. Press the "Add" button to add your selection to the list. To remove a quote file, select the desired item from the list and press the "Delete" button. Note that removing a file from the list does not mean it will be removed from your computer. You can always add the quote file back in to the list at a later time if desired.

Press the "Reset" button to remove the markings from all of the quote files in the list. Markings are used to determine which quotes have already been displayed. Typically, once all quotes have been displayed, and therefore marked, they are automatically reset to their original unmarked state. By resetting the files manually, all quotes will once again be eligible for display.

If you have your own set of quotations that you would like to add to the list of quote files, you will need to convert your file to the required format. This format is defined as follows:
----------------------------
\$Your category title goes here (e.g. Cartoons)
\#0
The quote goes first.\!And the originator comes second
\#0
Zapf! Boing! Kersplat.\!The Coyote, as he falls down the chasm
----------------------------

Note that the dashes above should not appear in the file itself. The "\$" symbols identify the title of the file. The "\#" symbols identify a quote. This should always be followed by "0", which identifies this quote as being unmarked. The "\!" symbols identify the originator of the quote. Please note that there are realistic restrictions on the length of each quotation. Any quotes too long to fit on the screen will simply be ignored.

After making any changes on the Quotes page, press the "Apply" button to make the changes take affect. Press the "OK" button to apply the changes and close the interface. Press the "Cancel" button to close the interface without applying any changes. Note that if you select another page tab before pressing "Apply", you will lose any changes you made on the page.


Themes

To change theme settings for Desktop Pizazz : Quotations, click on the "Themes" tab to display the following page:

From this page you can change the theme and associated settings. These settings are described below.

Themes

Select one of the four theme buttons (shown as graphics). The currently selected theme will have a black border hilighting the button. The four themes are as follows:

  • A Day at the Beach : Ahh... a sunny day at the beach, with the shimmering seashells, the soaring seagulls, and the wisdom of the ages scrawled into the sand. Just watch out for the crabs!
  • Wacky Wisdom : Life a little too serious? Looking for something this side of zany? Perhaps the spinning stars, blooming daisies, and popping pimples of this nonsensical theme will qualify.
  • Fairy Tales : Step into the world of fantasy and fables, with storybook anecdotes, magical flowers and a fluttering fairy. Just don't disturb Yzal, the sleepy gnome.
  • Notable Neon : Marvel at the thought-provoking insights of the past, while the futuristic machinery struggles with its new technology. Sparkling text and flickering neon illuminate this dark look ahead.

Activity frequency

Use the slider to adjust the frequency of animations that appear within each theme. By setting the slider to the "off" position, no animations will appear. Setting the slider to the "low" position will cause the animations to appear very infrequently, while the "high" position will cause them to appear very frequently.

After making any changes on the Themes page, press the "Apply" button to make the changes take affect. Press the "OK" button to apply the changes and close the interface. Press the "Cancel" button to close the interface without applying any changes. Note that if you select another page tab before pressing "Apply", you will lose any changes you made on the page.


Filtering

Filtering allows you to restrict the display of quotations that contain certain words or phrases. This feature is ideal for parents not wanting quotes with unacceptable language displayed on their children's screen. You can also use it filter out quotes on certain topics, or from specific people. To change filter settings for Desktop Pizazz : Quotations, click on the "Filter" tab to display the following page:

From this page you can change the settings associated with filtering. These settings are described below.

Password

Enter your password here to gain access to the "Settings" section of the page. This precaution is to prevent unauthorized access to your settings. As installed, the default password is "SafeNSecure" (without the quotes). Passwords are case-sensitive. It is suggested you change the password (described below) to ensure your privacy. Once you enter the correct password, the "Settings" section will become enabled.

Filter list

The list at the left of the page displays any user-defined words and phrases in the filter set. When enabled, filtering will prevent quotations containing these words and phrases from being displayed. The matching of words and phrases is not case sensitive, and only occurs at word boundaries (spaces and punctuation). For example, the quote "Reality leaves a lot to the imagination" would match "the imagination", but would not match "real" since it is actually part of the longer word "reality".

You can add or delete your own words and phrases in the displayed list. To add a word or phrase, enter it in the edit box above the list and press the "Add" button. To remove a word or phrase, select the desired item from the list and press the "Delete" button.

Note that a set of words and phrases considered "obscene" by common standards is already provided in a separate filter list. This list is used in conjunction with any words or phrases you define yourself.

Filtering enabled

Check this box to turn on the filtering capability.

New Password

Enter a new password here to permanently change the filter access password.

After making any changes on the Filter page, press the "Apply" button to make the changes take affect. Press the "OK" button to apply the changes and close the interface. Press the "Cancel" button to close the interface without applying any changes. Note that if you select another page tab before pressing "Apply", you will lose any changes you made on the page.


Registration

In its typical configuration, Desktop Pizazz : Quotations is available as "Shareware". This is a "try before you buy" concept that allows the customer to try out the program on their computer without the commitment of making a purchase. If you do find the program worthwhile, it is suggested that you "register" it, which means to purchase it.

The full, registered version contains the following features:

  • Three additional themes : Wacky Wisdom, Fairy Tales, and Notable Neon.
  • 24-bit graphics : The graphics in the shareware version contain only 256 colors (referred to as 8-bit). In the registered version, all themes come with both 8-bit and 24-bit graphics. 24-bit graphics contain over 16 million colors, providing for a richer appearance.
  • Much larger collection of quotations : The shareware version contains just a small sample of quotations. In the registered version, you will have access to over 10,000 quotations! At one quote a day, it would take you over 27 years to get through them all.
  • No more "nag" quotes : In the shareware version, you will occasionally see a "nag" quote encouraging you to register the product. In the registered version, these quotes will no longer appear.

To purchase Desktop Pizazz : Quotations, see the contact page in this help file for ways to contact Nature Boy Software, or view or print out the order form included with this program. Click on the "Order Form" icon in the program folder where Desktop Pizazz : Quotations was installed on your computer.

To enter your registration code for Desktop Pizazz : Quotations, click on the "Registration" tab to display the following page:

From this page you can enter and view your registration code. After you have registered the product, you will receive a registration code. Enter this code into the edit box exactly as it appears in your registration documentation. Once typed in correctly, the "Unregistered copy" text to the right of the page will change to "Registered copy". At this point you will have full access to all features of the full, registered version of Desktop Pizazz : Quotations. Depending on how you order, you may need to download or obtain additional files to provide you with all of the resources needed to enjoy the entire program. Instructions for doing so will be provided at the time of registration.

Press the "OK" button to close the interface window.


Credits

Concept, Design, Programming, Artwork, Documentation: | Chuck Mastrandrea
Quotations: | The thousands of men and women who have so uniquely expressed themselves throughout history.

Thanks

We at Nature Boy Software wish to thank the following people for their assistance and contributions during the development and beta testing phases of this program.

• Maura Kearns | • Gary Parker | • Mickey D. Watson
• Alison Suttles | • Robert Baker | • John Winger
• Scott Berglund | • Martin Waite | • Keith Barnes


Contacting Nature Boy Software

For your convenience, Nature Boy Software can be contacted by any of the following means:

  • By Internet : http://www.NatureBoySoftware.com/contact.html
  • By Email : info@NatureBoySoftware.com
  • By Mail : Nature Boy Software, 9810 Tara Court, Burke, VA 22015 USA
  • By Phone : (703) 425-5659 Monday - Friday, 9am - 6pm EST

We encourage your comments and suggestions regarding our products.